<?php

/* ************************************************* *\
|* ================================================= *|
|* =       Copyright (c) 2012 Jacob Pollack.       = *|
|* ================================================= *|
|* = THIS SOFTWARE IS PRIVATE AND CANNOT BE FOUND  = *|
|* = ON THE PUBLIC DOMAIN. ANY DISTRIBUTION OR USE = *|
|* = OF THIS SOFTWARE WITHOUT THE EXPLICIT         = *|
|* = PERMISSION OF THE AUTHOR WILL RESULT IN LEGAL = *|
|* = ACTION BEING TAKEN.                           = *|
|* =                                               = *|
|* = THIS SOFTWARE IS CREATED FOR EDUCATIONAL      = *|
|* = PURPOSES ONLY. CHANGES OF ANY SORT MUST BE    = *|
|* = SUBMITTED TO THE RESPOSITORY ACCORDINGLY.     = *|
|* ================================================= *|
|* = @author    Jacob Pollack                      = *|
|* = @email     jacobpollack@jamach.com            = *|
|* = @date      05/08/2012 (DD/MM/YYYY)            = *|
|* =                                               = *|
|* = @contributors  none                           = *|
|* ================================================= *|
\*************************************************** */

/**
 * This is the storage methods file. Has a bunch of methods that
 * handle storage functionality. Used mainly to shorten the
 * extremely long paths and object nests.
 * 
 * @name    Storage
 * @author  Jacob Pollack
 */

/**
 * Executes a database query (multiple queries not supported). The query
 * can be buffered and unbuffered.
 * 
 * @param   string      $sql        The SQL query to be executed.
 * @param   boolean     $buffered   Whether the query is buffered or not.
 * @param   resource    $link       The MySQL resource link.
 * 
 * @return  resource
 * @return  boolean
 * @return  data resource
 */
function query($sql, $buffered = true, $link = null)
{
    global $quasar;
    
    return $quasar->object->storage->execute_query($sql, $buffered, $link);
}

/**
 * Returns the number of rows returned by a query.
 * 
 * @param   resource    $resource   The SQL query resource.
 * 
 * @return  integer
 */
function num_rows($resource)
{
    global $quasar;
    
    return $quasar->object->storage->num_rows($resource);
}

/**
 * Returns a result set as an object.
 * 
 * @param   resource    $resource   The SQL query resource passed by reference.
 * 
 * @return  object
 */
function fetch_object($resource)
{
    global $quasar;
    
    return $quasar->object->storage->fetch_object($resource);
}

?>